
QGIS Application - Bug report #16186

Processing: Broken GRASS tools under Windows

2017-02-13 12:01 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.18.13 Regression?: Yes

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24096

Description

Under Windows all the GRASS7 tools that are .bat files (pointing to python scripts) are broken in processing, but does not seems to be a

processing thing. They work ok under Linux (can test macOS too if necessary).

Error message is like this

"C:\\OSGEO4~1\\bin>v.dissolve input=tmp1487011631917 column="Concelho" output=output00e668ad483d4e65b2c382124335b3f7

--overwrite

'""' is not recognized as an internal or external command,

operable program or batch file. " ... any idea where to look in? Same commands on Windows/GRASS6 work ok.

this is on 2.14 to 2.18, cannot test on master/Windows as there is a python error on start that prevents Processing from loading.

Related issues:

Duplicated by QGIS Application - Bug report # 16922: Processing: GRASS7 v.dis... Closed 2017-07-24

History

#1 - 2017-02-28 03:20 AM - Giovanni Manghi

- Target version set to Version 2.18

- Affected QGIS version changed from 2.18.3 to 2.18.4

#2 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#3 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#4 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-05-30 01:09 AM - Giovanni Manghi

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

Somehow this seems to me fixed in 2.18.9 nightly.

#6 - 2017-07-26 12:48 PM - Giovanni Manghi
- Resolution deleted (fixed/implemented)

- Affected QGIS version changed from 2.18.4 to 2.18.11

- Status changed from Closed to Open

This has resurfaced in 2.18.10 and 11

#7 - 2017-07-26 03:38 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

in a clean Windows testing VM, with qgis installed from scratch from osgeo4w I cannot replicate it anymore... this is puzzling.

#8 - 2017-07-26 04:44 PM - Jürgen Fischer

- Duplicated by Bug report #16922: Processing: GRASS7 v.dissolve broken under Windows added

#9 - 2017-09-19 11:47 PM - Giovanni Manghi

- Status changed from Closed to Open

- Subject changed from Broken Processing/GRASS tools under Windows to Processing: Broken GRASS tools under Windows

- Affected QGIS version changed from 2.18.11 to 2.18.13

- Operating System set to Windows

- Resolution deleted (fixed/implemented)

This as resurfaced. Tested on completely clean system.

#10 - 2017-09-28 06:58 PM - Giovanni Manghi

tools that can be tested if/when a patch will be proposed:

v.rast.stats

v.buffer

r.fillnulls

among the others.

#11 - 2017-10-02 06:36 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Closing again because on a completely clean (OS and osgeo4w) install all seems to work as expected. There is something (maybe an update? installing in

parallel a standalone version?) that makes them stop to work... but was unable to pinpoint the issue.
